Bug 149192 - Update port: devel/p5-File-ChangeNotify
Summary: Update port: devel/p5-File-ChangeNotify
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sahil Tandon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-02 11:10 UTC by Frederic Culot
Modified: 2010-08-12 12:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.48 KB, patch)
2010-08-02 11:10 UTC, Frederic Culot
no flags Details | Diff
p5-File-ChangeNotify-0.16,1.patch (2.65 KB, patch)
2010-08-11 12:16 UTC, Alexey Degtyarev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frederic Culot 2010-08-02 11:10:01 UTC
Update to 0.16:
- dependency to devel/p5-namespace-autoclean added
Comment 1 Edwin Groothuis freebsd_committer 2010-08-02 11:10:18 UTC
Maintainer of devel/p5-File-ChangeNotify,

Please note that PR ports/149192 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/149192

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-08-02 11:10:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Alexey Degtyarev 2010-08-02 12:46:20 UTC
Hello,

On 10:10 Mon 02 Aug, Edwin Groothuis wrote:

> Maintainer of devel/p5-File-ChangeNotify,
> 
> Please note that PR ports/149192 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/149192

the patch looks good for me, please commit it.

Thanks Frederic.
-- 
Alexey V. Degtyarev
Comment 4 Sahil Tandon freebsd_committer 2010-08-10 21:54:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

I'll take it.
Comment 5 Sahil Tandon freebsd_committer 2010-08-11 02:27:18 UTC
Perhaps innocuous, but I want to double-check since configure complains:

 ===>  Configuring for p5-File-ChangeNotify-0.16
 Warning: prerequisite Module::Build 0.3601 not found. We have 0.340201.

This is with perl-5.10.  Do you perhaps need to pull in p5-Module-Build
from ports?

-- 
Sahil Tandon <sahil@FreeBSD.org>
Comment 6 Frederic Culot 2010-08-11 08:38:23 UTC
Thanks for pointing out this issue Sahil.

Actually the Module::Build version shiped with perl-5.10 (0.340201) is enough to
build p5-File-ChangeNotify. I have run tests successfully with this version so I
believe it is safe to ignore the configure warning and to avoid pulling in a
newer version of p5-Module-Build from ports.
Comment 7 Alexey Degtyarev 2010-08-11 12:16:11 UTC
Urgh.. PGP signature broke the patch in GNATS, resend it without
PGP-signing.

-- 
Alexey V. Degtyarev
Comment 8 Sahil Tandon freebsd_committer 2010-08-12 04:02:22 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!
Comment 9 dfilter service freebsd_committer 2010-08-12 11:51:39 UTC
sahil       2010-08-12 03:01:50 UTC

  FreeBSD ports repository

  Modified files:
    devel/p5-File-ChangeNotify Makefile distinfo pkg-plist 
  Log:
  - Update to 0.16
  - Use PERL_MODBUILD
  
  PR:             ports/149192
  Submitted by:   Frederic Culot <frederic@culot.org>
  Approved by:    Alexey V. Degtyarev <alexey@renatasystems.org> (maintainer)
  
  Revision  Changes    Path
  1.8       +6 -3      ports/devel/p5-File-ChangeNotify/Makefile
  1.7       +3 -3      ports/devel/p5-File-ChangeNotify/distinfo
  1.5       +1 -1      ports/devel/p5-File-ChangeNotify/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"